MooseX::Getopt::Meta::Attribute::Trait(3)

NAME
MooseX::Getopt::Meta::Attribute::Trait - Optional meta attribute trait for custom option names

SYNOPSIS
  package App;
  use Moose;

  with 'MooseX::Getopt';

  has 'data' => (
      traits    => [ 'Getopt' ],
      is        => 'ro',
      isa       => 'Str',
      default   => 'file.dat',

      # tells MooseX::Getopt to use --somedata as the
      # command line flag instead of the normal
      # autogenerated one (--data)
      cmd_flag  => 'somedata',

      # tells MooseX::Getopt to also allow --moosedata,
      # -m, and -d as aliases for this same option on
      # the commandline.
      cmd_aliases => [qw/ moosedata m d /],

      # Or, you can use a plain scalar for a single alias:
      cmd_aliases => 'm',
  );

DESCRIPTION
This is a custom attribute metaclass trait which can be used to specify a the specific command line flag to use instead of the default one which MooseX::Getopt will create for you.

METHODS

  cmd_flag
Changes the commandline flag to be this value, instead of the default, which is the same as the attribute name.

  cmd_aliases
Adds more aliases for this commandline flag, useful for short options and such.

  has_cmd_flag

  has_cmd_aliases

AUTHORS

•   Stevan Little <stevan@iinteractive.com>

•   Brandon L. Black <blblack@gmail.com>

•   Yuval Kogman <nothingmuch@woobling.org>

•   Ryan D Johnson <ryan@innerfence.com>

•   Drew Taylor <drew@drewtaylor.com>

•   Tomas Doran <bobtfish@bobtfish.net>

•   Florian Ragwitz <rafl@debian.org>

•   Dagfinn Ilmari Mannsaaker <ilmari@ilmari.org>

•   var Arnfjoerd` Bjarmason <avar@cpan.org>

•   Chris Prather <perigrin@cpan.org>

•   Karen Etheridge <ether@cpan.org>

•   Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.